/*
 Problema: dado um conjunto com n numeros reais,
 calcular e imprimir a media aritmetica dos valores
 positivos, destes numeros.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - ler um numero do conjunto, de cada vez;
       3.2 - selecionar os valores positivos
              3.3.1 - somar os valores lidos, se positivo;
              3.3.2 - contar os valores positivos;
  4 - calcular a media aritmetica dos valores positivos;
  5 - imprimir o valor obtido para media;

 descricao das variaveis
  n - tamanho do conjunto (numero de repeticoes, de valores no conjunto)
  np  - contador do numero de valores positivos no conjunto
  i - contador de repeticao (indice - controlador da repeticao)
  x - guarda o numero lido, em cada passo (representa 1 numero)
  sp - guarda a soma dos numeros positivos, digitados(soma parcial)
  map - representa a media aritmetica dos valores positivos

*/

#include <iostream>

using namespace std;

float media_aritmetica_positivos(int n)
{
  int np; /* contador de numeros positivos */
  int i; /* contador de repeticao: 1..n */
  float x; /* um numero do conjunto */
  float sp; /* soma dos numeros positivos */
  float map; /* media aritmetica dos numeros positivos */

  cout << "Digite os elementos do conjunto para somar os numeros positivos"<< endl;
  sp = 0; //zerar a soma - define o valor inicial da soma
  np = 0; //zerar o contador de numeros positivos
  i = 1; //ler o primeiro elemento do conjumto
  while (i <= n)
  {
    cout << "digite um valor para x: ";
    cin >> x; //obtem o i-esimo numero(voce digita e o programa l)
    if (x>0)  //selecionar os numeros positivos
    {
      sp = sp + x; //somar os numeros positivos
      np = np + 1; //contar os numeros positivos
    }
    i = i + 1; //contar, para ler o proximo numero e fazer a soma
  }
  map = sp/np;
  return map;
}

int main ()
{
  int n; /* tamanho do conjunto = numero de repeticao, de valores no conjunto */
  float media; /* media aritmetica dos numeros positivos */

  cout << "Digite o valor de n: ";
  cin >> n;
  media = media_aritmetica_positivos(n);
  cout << "media aritmetica dos numeros positivos: " << media << endl;
  return 0;
}
