/*
 Problema: elaborar um programa que simule uma calculadora,
  onde eh possivel efetuar uma das 4 operacoes: " +, -, *, ou / ".
  Dado o valor dos dois operandos "a" e "b", numeros reais, e a
  tecla da operacao desejada (+ - * /), calcula e imprime o resultado
  da operacao ou imprime uma mensagem do tipo "tecla invalida".
  O programa deve exibir uma tela do tipo:
                      "teclar <enter> para ligar a calculadora"
                      "teclar <esc> para desligar a calculadora"

 Resoluo: o programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - imprimir: Deseja usar a calculadora ?
                Teclar:  <enter> - para Sim, ou
                           <esc> - para Nao
  3 - permitir que voce digite o primeiro numero "a";
  4 - permitir que voce digite a tecla da operacao desejada;
  5 - permitir que voce digite o segundo numero "b"
  6 - selecionar a operacao
        6.1 - efetuar a operacao;
        6.2 - imprimir o resultado obtido;
  7 - imprimir: Deseja continuar usando a calculadora ?
                Teclar:  <enter> - para Sim, ou
                           <esc> - para Nao


 descricao das variaveis
  a, b - sao os operandos(guarda os 2 valores para calculos)
	r  - guarda o resultado da operacao
   op  - guarda o operador (a tecla da operacao)
   lig - guarda a resposta de ligar ou deligar a calculadora

*/

#include <conio.h>  /* para usar: getch */
#include <iostream>

using namespace std;

int main ()
{
  float a,b; /* operandos - valores para calculos */
  float	r; /* resultado da operacao */
  char op; /* operador - tecla da operacao */
  char lig; /* tecla ligar/desligar a calculadora */

  cout << "\n\nDeseja usar a calculadora ?" << endl;
  cout << "\nTeclar <s> - para Sim, isto eh para ligar a calculadora, ou" << endl;
  cout << "\n       <n> - para Nao, isto eh para mante-la desligada" << endl;
  lig = getche (); //leitura da tecla teclada, sem teclar o <enter>
  while (lig == 's')
  {//inicio-while
    cout << "\n\nEntre com os dados" << endl;
    cout << "a: ";
    cin >> a;
    cout << "Escolha uma das operacoes ( +, -, *, ou /): ";
    cin >> op;
    //op = getche(); //leitura da tecla <operao>, sem esperar teclar o <enter>
    cout << "b: ";
    cin >> b;

    // selecionar a operao - calcular e imprimir o resultado
    if (op == '+')
    {
      r = a + b;
      cout << "Resultado = " << r << endl;
    }
    else if (op == '-')
       {
         r = a - b;
         cout << "Resultado = " << r << endl;
       }
       else if (op == '*')
          {
            r = a * b;
            cout << "Resultado = " << r << endl;
          }
          else if (op == '/')
             {
               r = a / b;
               cout << "Resultado = " << r << endl;
             }
             else
             {
               cout << "Operador invalido" << endl;
             }

    cout << "\n\nDeseja continuar usando a calculadora ?" << endl;
    cout << "\nTeclar <s> - para Sim, isto eh para continuar com a calculadora ligada, ou" << endl;
    cout << "\n       <n> - para Nao, isto eh para desliga-la" << endl;
    lig = getch (); //leitura da tecla teclada, sem teclar o <enter>
  }//fim-while
  return 0;
}
