/*
 Problema: dado um numero inteiro n>0, gerar e imprimir a
 seguencia dos n-primeiros numeros naturais impares. Isto eh dado
 um numero inteiro n>0, obter a sequencia = 1, 3, 5, ..., 2n-1

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - gerar um elemento da sequencia, em cada vez;
       3.2 - imprimir o valor gerado;

 descricao das variaveis
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao: 1..n, usado para obter a sequencia de numeros
  x - guarda o numero gerado, em cada passo

*/

#include <iostream>

using namespace std;

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao: 1..n */
  int x; /* numero gerado, elemento da sequencia  */

  cout << "Digite o valor de n: ";
  cin >> n;
  cout << "\nSequencia gerada :" << endl;
  for (i=1; i<=n; i=i+1) //contar, e gerar os elementos da sequencia
  {
    x = (2*i - 1); //obtem o i-esimo elemento
	  cout << "x =  " << x << endl; //escreve a mensagem: x =
                                  //seguida do valor de x(numero inteiro)
  }

  return 0;
}
